# MPX SDK for Node.js

[![Build Status](https://travis-ci.org/mediapeers/mpx-sdk-node.png?branch=master)](https://travis-ci.org/mediapeers/mpx-sdk-node) [![NPM version](https://badge.fury.io/js/mpx-sdk.png)](http://badge.fury.io/js/mpx-sdk) [![Code Climate](https://codeclimate.com/github/mediapeers/mpx-sdk-node.png)](https://codeclimate.com/github/mediapeers/mpx-sdk-node)

## Installation

You can install SDK with npm:

```bash
npm install mpx-sdk
```

## Usage

An example how to use SDK:

```javascript
// Require MPX SDK in your application
var MPX = require('mpx-sdk');

// Configure SDK with your access keys
MPX.config.update({ accessKey: 'your-access-key', secretKey: 'your-secret-key' });

// Initialize service SDK
var assetHost = new MPX.AssetHost();

// If neccessary, reconfigure adapter (e.g. for limited usability of your access key pair)
assetHost.config.update({ secretKey: 'specific-key' });

// Call service and get data
assetHost.listFTPDeliveries(function(error, response) {
  if(error) {
    console.log('There has been an error: ' + error.message);
  } else {
    console.log(response);
  }
});

```

## Supported Services

| Service Name              | Class Name           | API Version  |
| ------------------------- |:--------------------:| ------------:|
| Asset Host                | MPX.AssetHost        | v20131101    |

## License

MPX SDK is released under the [MIT License](./LICENSE.md).
